<!--- This file is autogenerated. Do not edit manually! -->
# <code>pixi</code>

--8<-- "docs/reference/cli/pixi_extender:description"

## Usage
```
pixi [OPTIONS] <COMMAND>
```

## Subcommands
| Command | Description |
|---------|-------------|
| [`init`](pixi/init.md) | Creates a new workspace |
| [`add`](pixi/add.md) | Adds dependencies to the workspace |
| [`remove`](pixi/remove.md) | Removes dependencies from the workspace |
| [`install`](pixi/install.md) | Install an environment, both updating the lockfile and installing the environment |
| [`reinstall`](pixi/reinstall.md) | Re-install an environment, both updating the lockfile and re-installing the environment |
| [`update`](pixi/update.md) | The `update` command checks if there are newer versions of the dependencies and updates the `pixi.lock` file and environments accordingly |
| [`upgrade`](pixi/upgrade.md) | Checks if there are newer versions of the dependencies and upgrades them in the lockfile and manifest file |
| [`lock`](pixi/lock.md) | Solve environment and update the lock file without installing the environments |
| [`run`](pixi/run.md) | Runs task in the pixi environment |
| [`exec`](pixi/exec.md) | Run a command and install it in a temporary environment |
| [`shell`](pixi/shell.md) | Start a shell in a pixi environment, run `exit` to leave the shell |
| [`shell-hook`](pixi/shell-hook.md) | Print the pixi environment activation script |
| [`workspace`](pixi/workspace.md) | Modify the workspace configuration file through the command line |
| [`task`](pixi/task.md) | Interact with tasks in the workspace |
| [`list`](pixi/list.md) | List workspace's packages |
| [`tree`](pixi/tree.md) | Show a tree of workspace dependencies |
| [`global`](pixi/global.md) | Subcommand for global package management actions |
| [`auth`](pixi/auth.md) | Login to prefix.dev or anaconda.org servers to access private channels |
| [`config`](pixi/config.md) | Configuration management |
| [`info`](pixi/info.md) | Information about the system, workspace and environments for the current machine |
| [`upload`](pixi/upload.md) | Upload a conda package |
| [`search`](pixi/search.md) | Search a conda package |
| [`self-update`](pixi/self-update.md) | Update pixi to the latest version or a specific version |
| [`clean`](pixi/clean.md) | Cleanup the environments |
| [`completion`](pixi/completion.md) | Generates a completion script for a shell |
| [`build`](pixi/build.md) | Workspace configuration |


## Global Options
- <a id="arg---help" href="#arg---help">`--help (-h)`</a>
:  Display help information
- <a id="arg---verbose" href="#arg---verbose">`--verbose (-v)`</a>
:  Increase logging verbosity (-v for warnings, -vv for info, -vvv for debug, -vvvv for trace)
- <a id="arg---quiet" href="#arg---quiet">`--quiet (-q)`</a>
:  Decrease logging verbosity (quiet mode)
- <a id="arg---color" href="#arg---color">`--color <COLOR>`</a>
:  Whether the log needs to be colored
<br>**env**: `PIXI_COLOR`
<br>**default**: `auto`
<br>**options**: `always`, `never`, `auto`
- <a id="arg---no-progress" href="#arg---no-progress">`--no-progress`</a>
:  Hide all progress bars, always turned on if stderr is not a terminal
<br>**env**: `PIXI_NO_PROGRESS`
<br>**default**: `false`

--8<-- "docs/reference/cli/pixi_extender:example"
